<!DOCTYPE=html>
<html lang="en">
<head>
  <link rel="stylesheet" href="custom.css">
  <link href="icons/css/all.css" rel="stylesheet">
  <link href="icons/Academicons/css/academicons.css" rel="stylesheet">
<style>
:root{
  --colour-page: var(--colour-unige);
}
  
body {
	margin: 0;
	font-family: Arial, Helvetica, sans-serif;
}

.sidebar {
  background-image: url(img/TIKZ_tetra_Configurations_20201005.svg);
  background-position: center 20px;
}

.sidebar-background {
  background-image: none;
}  

dt {
    font-weight: bold;
    padding: 5px;
}

dd {
    text-align: justify;
}
</style>
</head>

<body>

<div class="sidebar">
  <div class="sidebar-background" title="Sidebar">
    <a href="index.html" title="Home">
      <i class="fas fa-home fa-fw"></i>Home
    </a>
    <a href="publications.html" title="Publications">
      <i class="fas fa-copy fa-fw"></i>Publications
    </a>
    <a href="presentations.html" title="Presentations">
      <i class="fas fa-photo-video fa-fw"></i>Presentations
    </a>
    <a href="ongoing.html" title="Ongoing">
      <i class="fas fa-microscope fa-fw"></i>Ongoing
    </a>
    <a href="code.html" title="Code">
      <i class="fas fa-code fa-fw"></i>Code
    </a>
  </div>
</div>

<div class="main">

  <div class="topbox" title="Header">
    <div class="topbox-heading" alt="Ongoing Research">
      <h1>Conor McCoid</h1>
        <h3>Ongoing Research</h3>
    </div>
  </div>

<div class="main-content">
    <dl>
      <dt><a href="ongoing/mccoid2020tetrahedra.pdf">Tetrahedral intersections</a></dt>
      	<dd>This is the follow-up to my paper "A provably robust algorithm for 2D triangle-triangle intersections in floating-point arithmetic" (see Publications).
	It discusses in detail the 3D version of the algorithm found there as well as how to extend the algorithm to arbitrary dimensions.</dd>
      <dt><a href="ongoing/IOM.pdf">IOMcc</a></dt>
        <dd>The continuation of my masters thesis.
	This looks at extending the results of my paper "Preconditioning of spectral methods via Birkhoff interpolation" to general linear operators, with a focus on constant coefficient linear operators.</dd>
      <dt><a href="ongoing/ASPN.pdf">RASPEN period doubling</a></dt>
      	<dd>Accelerating Schwarz methods with Newton-Raphson has been thought to be stable, safe and fast.
	This research examines some counterexamples where chaos can occur.</dd>
      <dt><a href="ongoing/StochasticNetworks.pdf">Stochastic network model of an epidemic</a></dt>
      	<dd>As part of an ongoing <a href="https://www.unige.ch/math/covid19">COVID project</a>, this research looks to use stochastic networks to model the spread of a virus through a population.
	Many difficulties arise, including computational time and the unidirectional flow of infections.</dd>
    </dl>
</div>

<div class="bottombox" alt="footer" title="Footer">
  <div class="bottombox-column" title="logo">
    <img src="img/unige_logo.svg">
  </div>
  <div class="bottombox-column">
    <h3>Address</h3>
    <p>Office 605</p>
    <p>Rue du Conseil-G&eacute;n&eacute;ral 7-9</p>
    <p>1205 Gen&egrave;ve</p>
    <p>Switzerland</p>
  </div>
  <div class="bottombox-column">
    <h3>Contact</h3>
    <p><i class="fas fa-envelope"></i> conor.mccoid@unige.ch</p> <br>
    <!-- <p><i class="fas fa-phone"></i> +41 22 379 11 60</p> -->
  </div>
  <div class="bottombox-column">
    <h3>Academic Profiles</h3>
    <p><i class="fab fa-orcid"></i> <a href="https://orcid.org/0000-0002-2592-5005">ORCID</a></p> <br>
    <!-- <p><div itemscope itemtype="https://schema.org/Person"><a itemprop="sameAs" content="https://orcid.org/0000-0002-2592-5005" href="https://orcid.org/0000-0002-2592-5005" target="orcid.widget" rel="me noopener noreferrer" style="vertical-align:top;"><img src="https://orcid.org/sites/default/files/images/orcid_16x16.png" style="width:1em;margin-right:.5em;" alt="ORCID iD icon">https://orcid.org/0000-0002-2592-5005</a></div></p> <br> -->
  </div>
</div>

</div>

</body>
</html>
